<div class="datepicker__group datepicker__group--icon">
  <label *ngIf="mbLabelText != null" class="input__label" [innerHTML]="mbLabelText"></label>
  <span *ngIf="required" class='label__required'> *</span>
  <div [class]="inputGroupGroupClass">
    <em *ngIf="mbDatePickerIcon != null" nz-icon [nzType]="mbDatePickerIcon" nzTheme="outline"></em>
    <nz-time-picker nzAllowClear [nzBackdrop]="true"
                    [nzAutoFocus]="mbAutofocus"
                    [nzDisabled]="mbDisabled"
                    [nzPopupClassName]="mbPopupClassName"
                    [(ngModel)]="value"
                    [nzFormat]="mbFormat"
                    [nzPlaceHolder]="mbPlaceholderText"
                    (ngModelChange)="onInputChange($event)"></nz-time-picker>
  </div>
  <div *ngIf="textMessageValue != null && mbShowError" [class]="inputMessageClass">
    <em *ngIf="mbShowIconMessage" nz-icon [nzType]="iconType" nzTheme="outline"></em>
    <span class="text__message">{{textMessageValue}}</span>
  </div>
</div>